## fastlink 4.1P

=== 4.1P/src/Makefile ===
# Makefile for FASTLINK 3.0P
# Chris Hyams (cgh@cs.rice.edu)
#
# History:
# 5/23/95 cgh -- created
# 6/7/95 cgh -- added comments for v2.3P beta release
# 7/17/95 cgh -- updated for portability to most versions of make
#                consolidated Makefile.common
# 7/18/95 cgh -- added VMS-specific section written by
#                Kimmo Kallio (Kimmo.Kallio@ktl.fi)
# 12/95   aas -- eliminated MAXWORKINGSET and maxhap
# 2/97    Anna Becker/aas -- added llopbrk.c for use in unknown
#

# Please read the file README.makefile that came
# with your FASTLINK distribution for an overview
# on using this Makefile

# If you plan to run parallel FASTLINK, please refer
# to README.parallel for more details.

# One note:
# Most versions of make allows you to override Makefile variables
# from the command line.  This Makefile includes a variable EXTRAFLAGS
# that is intentionally left empty to allow you to add command-line
# flags without editing the Makefile.  EXTRAFLAGS is automatically
# passed to each of the different targets.
#
# For example, if you wanted to pass along an additional include
# directive to the compiler when making ILINK, you could type:
#
#  make ilink EXTRAFLAGS="-I/usr/ucb/include -I/usr/lib/include"
#
# Note that if you want to add more than one flag, you need to protect
# the argument in double quotes (") as above.


######################################################
################## Miscellaneous #####################
######################################################
# The following variables apply to compilation of
# *both* sequential *and* parallel FASTLINK

# Destination bin directory for executables.  Note: this
# directory *must* exist, or compilation will fail during
# linkage.
BINDIR = ./

# Compiler optimization flag.  Comment this out
# if your compiler 
OPTFLAG = -O

# If you use the cc compiler, uncomment this flag
# to use K&R style function prototypes.
# Note: FASTLINK will *not* compile under cc without
# this flag set.
#PROTO = -DKNR_PROTO

# System-dependent compilation flags.
# - Uncomment -DSOLARIS here if you are compiling on a
#   Sun Solaris platform.
# - If you are using gcc under SunOS 4.1.x, you can
#   use -DSUNOS_4_1_X_GCC to get rid of compiler
#   warnings.
# - Uncomment -D_POSIX_SOURCE if you are compiling for AIX.
# - If you have other system-specific compiler flags that you
#   need to pass to FASTLINK, uncomment the line "SYSDEP =",
#   and add the flag there.
# Otherwise, leave this alone.
#SYSDEP = -DSUNOS_4_1_X_GCC
#SYSDEP = -DSOLARIS
#SYSDEP = -D_POSIX_SOURCE
#SYSDEP =


######################################################
############### Sequential Code Variables ############
######################################################
# Edit the following when compiling sequential FASTLINK.

# C compiler for sequential code
CC = gcc

# Uncomment this if you are compiling for DOS, or if
# you want to turn off checkpointing in FASTLINK.
#CKPT = -DDOS


######################################################
############ Parallel Code Variables #################
######################################################
# These variables apply only to parallel FASTLINK.

# C compiler for parallel code
PARCC = cc

# Parallel support library.
# If you are using TreadMarks, leave these
# commented out.
# If you are using P4 or PARMACS, uncomment the
# appropriate variable.  Make sure that no more than
# one of the following lines is uncommented!
#PARLIB = -DIS_PARMACS=1
PARLIB = -DIS_P4=1

# Parallel include path.
# If you are using TreadMarks or P4, uncomment the
# appropriate variable.  If you are using PARMACS,
# comment these out, or supply your own, appropriate path.
# Make sure that no more than one of these variables
# is uncommented!
#PARINCLPATH = -I$(TmkDIR)/include
#PARINCLPATH = -I$(P4_INCLDIR)


########### TreadMarks specifics ###############

# Set this to the root directory of your TreadMarks installation
TmkDIR = /net/blitzen/Tmk-0.9.6.FASTLINK

# Target architecture.
# For example, if your TreadMarks library is in
# $(TmkDIR)/lib.mips, you should set this variable
# to mips.  Consult your TreadMarks documentation
# for more details.
ARCH = sparc

# If you are using TreadMarks on an ATM network,
# set this to the location of libatm.a on your
# system.
ATMDIR = /usr/fore/lib


########### p4 specifics #######################

# Set this to the root of your p4 installation
P4_HOME_DIR = /usr/local/lib/p4

# Uncomment this if you are running in parallel on SOLARIS
# This is *very* important -- FASTLINK will not compile
# without it.
#P4_MDEP_LD = -lsocket -lnsl -lthread


######### Parallel C Compiler Flags #############
# Edit the following variables when compiling
# parallel FASTLINK to suit your particular run.
#
# There are 3 sets of variables provided -- one each for
# ILINK, MLINK, and LINKAP.  The variables are 
# **PARMEM, **PRECOMP, where ** represents one of IL, ML,
# or LI, for ILINK, MLINK and LINKMAP respectively.
# They are briefly described below.  Please refer to the
# files README.constants, README.memory, README.parallel,
# and README.makefile for more details.
#
# **PARMEM
#    Defines the variable LESSMEMORY, instructing FASTLINK
#    to use an alternate algorithm which requires less memory,
#    but is slower.  Please refer to the README.memory
#    and README.makefile for details.
#    Uncomment this if you wish to use less memory.
#    Note: setting this value to 0 *or* 1 will both have the
#    same effect of defining LESSMEMORY.  If you don't want
#    less memory, be sure to comment this out.
# **PRECOMPUTE
#    Defines the variable PRECOMPUTE as 1 or 0.  PRECOMPUTE=1
#    instructs FASTLINK to use an alternate algorithm which
#    requires more memory, and is faster.  PRECOMPUTE=0
#    uses the normal approach.  Please refer to the README.makefile,
#    and README.parallel for details.
#    Unlike **PARMEM, this value must be set to 0 or 1.

### ILINK flags -- used when ILFLAGS is chosen
# edit these as you wish
#ILPARMEM	= -DLESSMEMORY
ILPRECOMP	= -DPRECOMPUTE=1

### MLINK flags -- used when MLFLAGS is chosen
# edit these as you wish
#MLPARMEM	= -DLESSMEMORY
MLPRECOMP	= -DPRECOMPUTE=1


## LINKMAP flags -- used when LIFLAGS is chosen
# edit these as you wish

#LIPARMEM	= -DLESSMEMORY
LIPRECOMP	= -DPRECOMPUTE=1


######################################################
############ Unix Utilities on Your System ###########
######################################################
# If any of the following utilities are different on
# your system, you can change them here.

# RM is used for "make clean", so if you want to
# use that, you'll need something defined here.
RM = rm -f


######################################################
################## VMS Specific ######################
######################################################
# 18-Jul-1995 Kimmo Kallio (Kimmo.Kallio@ktl.fi)
# Uncomment following lines if compiling on VMS 
# system, up to (but not including) the line that starts
# "END: VMS".
#
#CC     = mcr sys$disk:[]maketool_vms.
#BINDIR = 
#%ifndef CKPT
##
## If CKPT is not defined, use empty value
##
#CKPT = 
#%endif
#
## Unix C-compiler environment, not needed on VMS
#PROTO = 
#SYSDEP =
#CFLAGS =
#SMALLCFLAGS =
#OPTFLAG =
#LDFLAGS =
#DEBUGFLAG = 
#WARNFLAG =
#BAR_OUT =
#LOAD_OUT =
#
## Parallel stuff, not in use on VMS
#PARCC = 
#PARLIB = 
#PARINCLPATH = 
#P4_INCLDIR =
#P4_MDEP_LD =
#MDEP_LIBS =
#PARDEBUG =
#PARTHETAS =
#ILPARMEM =
#MLPARMEM =
#LIPARMEM =
#DO_LOAD =
#
#vmsfast: maketool_vms installfast 
#
#vmsslow: maketool_vms installslow 
#
#vmscleanexe: 
#   delete/log ilink.;*
#   delete/log mlink.;*
#   delete/log linkmap.;*
#   delete/log lodscore.;*
#
#vmsclean:
#   purge/log *.o,*./exclude=(makefile.)
#
#maketool_vms: maketool_vms.c
#  @maketool_vms "-O maketool_vms maketool_vms.c"
#
# END: VMS -- uncomment lines above here for VMS
#


############################################################
#/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\#
############################################################
#                                                          #
# You shouldn't need to change anything beyond this point. #
#                                                          #
############################################################
#/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\#
############################################################


######################################################
################## miscellaneous #####################
######################################################

# "Slow" compiler flag
SFLAG = -DLESSMEMORY

# Extra flags passed to each target.  Do not change this!
EXTRAFLAGS = 


######################################################
############### sequential code variables ############
######################################################

# For debugging
#DEBUGFLAG = -g

# Compiler flags for sequential code
CFLAGS = \
	$(CKPT) \
	$(DEBUGFLAG) \
	$(EXTRAFLAGS) \
	$(OPTFLAG) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# For sequential programs that don't take -DDOS, etc.
SMALLCFLAGS = \
	$(DEBUGFLAG) \
	$(EXTRAFLAGS) \
	$(OPTFLAG) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# Linker flags
LDFLAGS = -lm

######################################################
############ parallel code variables #################
######################################################

################# TreadMarks stuff ###################

# TreadMarks library location
TmkLIB	= $(TmkDIR)/lib.$(ARCH)

# TreadMarks profiling directories
PROFDIR = /home/rrk/Ymk
PROFLIB = $(PROFDIR)/$(ARCH)
LIBPERF = /home/rrk/Ymk/gdb-4.13


################# P4 stuff ###########################

# p4 include path, library directory, and libraries
P4_INCLDIR = $(P4_HOME_DIR)/include
P4_LIBDIR = $(P4_HOME_DIR)/lib
P4_LIBS = $(P4_LIBDIR)/libp4.a $(MDEP_LIBS)

################# linker flags #######################

# LDFLAGS for each library
ATMLD   = $(LDFLAGS) -L$(TmkLIB) -lTmk_atm -L$(ATMDIR) -latm
UDPLD   = $(LDFLAGS) -L$(TmkLIB) -lTmk_udp
P4LD    = $(LDFLAGS) -L$(P4_LIBDIR) -lp4 $(P4_MDEP_LD)

########### Various compiler flags ###################

# Parallel flag
DOPAR = -DPARALLEL=1

# Supress checkpointing
NOCKPT = -DDOS

# Supress Barrier output
#BAR_OUT = -DBARRIER_OUTPUT=0

# Debugging
#PARDEBUG = -g3

# Do parallel thetas
#PARTHETAS = -DDO_PARALLELTHETAS=0

# Turn off loadbalancing
# not needed now because set to 0 in commondefs.h
#DO_LOAD = -DDO_LOADBALANCE=0

# Suppress loadbalance output
#LOAD_OUT = -DLOADBALANCE_OUTPUT=0

# Compiler warnings
#WARNFLAG = -Wall


############## parallel CFLAGS ########################

# Required parallel flags
PARFLAGS = \
	$(BAR_OUT) \
	$(PARDEBUG) \
	$(DO_LOAD) \
	$(DOPAR) \
	$(EXTRAFLAGS) \
	$(LOAD_OUT) \
	$(OPTFLAG) \
	$(NOCKPT) \
	$(PARINCLPATH) \
	$(PARLIB) \
	$(PARTHETAS) \
	$(PROTO) \
	$(SYSDEP) \
	$(WARNFLAG)

# parallel ILINK CFLAGS
ILCFLAGS = \
	$(ILPARMEM) \
	$(ILPRECOMP) \
	$(PARFLAGS)

# parallel MLINK CFLAGS
MLCFLAGS = \
	$(MLPARMEM) \
	$(MLPRECOMP) \
	$(PARFLAGS)

# parallel LINKMAP CFLAGS
LICFLAGS = \
	$(LIPARMEM) \
	$(LIPRECOMP) \
	$(PARFLAGS)

# Program-specific CFLAGS
PARILCFLAGS = $(ILCFLAGS) -DILINK
PARMLCFLAGS = $(MLCFLAGS) -DMLINK
PARLICFLAGS = $(LICFLAGS) -DLINKMAP


######################################################
################# common object files ################
######################################################


# Object files common to all sequential programs,
# each of which has a "slow" counterpart.
FASTCOMOBJS = \
	automodified.o \
	comlike.o \
	sexmodified.o

# "Slow" versions of FASTCOMOBJS.
SLOWCOMOBJS = \
	slowautomodified.o \
	slowcomlike.o \
	slowsexmodified.o


######################################################
################# ILINK object files #################
######################################################

# Object files common to "fast" and "slow" versions of ILINK.
ILCOMOBJS = \
	iliostuff.o \

## fastlink 4.1P-fix95

=== debian/changelog ===
fastlink (4.1P-fix95-3) unstable; urgency=low

  * Replaced debian/*.desktop by debian/menu to make sure users of
    modern desktop systems using freedesktop.org standards will not
    be confused by a missing graphical interface
    Closes: #639998
  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Fixed Vcs fields
    - Dropped article in short description
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2011 10:34:20 +0100

fastlink (4.1P-fix95-2) unstable; urgency=low

  * debian/copyright: Fixed source download location
  * debian/control:
    - Standards-Version: 3.9.1
    - Fix spelling of Debian Med
    - debhelper (>= 7)
    - Depends: ${misc:Depends}
  * debian/compat: 7
  * debian/watch: use GZIP="--best --no-name" to make sure the
    resulting tarball will be identically
  * debian/source/format: 3.0 (quilt)
  * debian/rules: remove dh_desktop call

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2011 08:40:14 +0100

fastlink (4.1P-fix95-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/control: Better description
  * Standards-Version: 3.8.0 (no changes needed)
  * Removed explicite versioning from cdbs and debhelper
  * Machine readable copyright files
  * debian/loadscore.1: s?\.5?1/2? because man treated .5 as control
  * gcc3.3 patch is not needd any more - so neither the quilt
    dependency is needed

 -- Andreas Tille <tille@debian.org>  Tue, 09 Dec 2008 07:40:11 +0100

fastlink (4.1P-fix94b-2) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * Added myself to the `Uploaders' field in debian/control.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 22:49:23 +0900

fastlink (4.1P-fix94b-1) unstable; urgency=low

  * New upstream patch
  * Don't autogenerate debian/control, remove debian/control.in
  * Build-Depends: quilt
  * Standards-Version: 3.7.3 (No changes needed)
  * debian/control: XCBS-URL -> Homepage
  * Removed XB-Tag (isn't used) and Homepage from long description
  * Removed [Biology] from short description
  * Group maintenance
    - Maintainer: Debian-Med Packaging Team
      <debian-med-packaging@lists.alioth.debian.org>
    - DM-Upload-Allowed: yes
    - Uploaders: Andreas Tille <tille@debian.org>
    - Vcs-Browser, Vcs-Svn
  * Doc package to section doc

 -- Andreas Tille <tille@debian.org>  Mon, 18 Feb 2008 17:54:17 +0100

fastlink (4.1P-fix92-1) unstable; urgency=low

  * New upstream fix package
  * Standards-Version: 3.7.2 (no changes necessary)
  * Switched to cdbs
  * Setting DebTags
  * Added desktop files

 -- Andreas Tille <tille@debian.org>  Sat,  9 Sep 2006 12:52:33 +0200

fastlink (4.1P-fix91-1) unstable; urgency=low

  * New bugfix release
  * removed some files which are very specific for running fastlink on
    AIX, VMS and IRIX from source package which had to be repackaged anyway.
  * Standards-Version: 3.6.1.1

 -- Andreas Tille <tille@debian.org>  Wed,  1 Dec 2004 14:19:29 +0100

fastlink (4.1P-fix88-3) unstable; urgency=low

  * Fixed maintainer address in debian/control
    closes: #195322
  * Patched 4.1P/src/{commondefs,unknown}.h to replace varargs.h by stdarg.h
    Ported functions in iostuff.c to get rid of va_* stuff.  Many thanks to
    Colin Watson <cjwatson@debian.org> for his patches.
    Replaced <sys/time.h> by <time.h>
    These points fix FTBFS with gcc-3.3.
    closes: #194913

 -- Andreas Tille <tille@debian.org>  Mon,  2 Jun 2003 09:27:22 +0200

fastlink (4.1P-fix88-2) unstable; urgency=low

  * What difference does it make to the dead, the orphans and the homeless,
    whether the mad destruction is wrought under the name of totalitarianism
    or the holy name of liberty or democracy?
        -- Mahatma Gandhi (1869 - 1948), "Non-Violence in Peace and War"
  * Added manpages for data formats and replaced unknown.1.  These
    pages were kindly provided by Elizabeth Barham
    <lizzy@soggytrousers.net>
  * fastlink-doc now only suggests fastlink
  * Added doc-base entries.
  * CHanged compile time option from -g to -Wall

 -- Andreas Tille <tille@debian.org>  Sat, 26 Apr 2003 13:50:38 +0200

fastlink (4.1P-fix88-1) unstable; urgency=low

  * The "I'm against war" release
    Mankind must put an end to war before war puts an end to mankind.
        -- John F. Kennedy
  * New upstream release (bugfixes)
  * New maintainer
    closes: #100221
  * Build-Depends: debhelper (>= 4.0)
  * Standards-Version: 3.5.9
  * debian/compat now stores debhelper compatibility version
  * Compliant to developers reference "6.3.2. Upstream home page" and
    XBCS-URL: http://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
  * Updated fastlink.html from web page
  * Wrote manpages.
  * Removed the following files from binary package because they just describe
    Infromation for compilation and installation:
    README.AIX README.ALPHAVMS README.DOS README.Digital README.IRIX README.VAX
    README.VMS README.djgpp README.install README.makefile README.portability
  * Split up into two packages to remove papers from the binary package.
    This reduces space on Debian mirrors because the main part of the
    binary package was architecture "all" and probably saves disk space for
    local installs were these docs are not needed.

 -- Andreas Tille <tille@debian.org>  Tue, 15 Apr 2003 09:51:31 +0200

fastlink (4.1P-fix81-2) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 23:06:48 +0200

fastlink (4.1P-fix81-1) unstable; urgency=low

  * New upstream release (upstream used the same version number 4.1P, but
    introduced some new bugfixes incl. 78-81); closes: #43471
  * Enclosed the fastlink homepage to docs, and a README.Debian.
  * Updated Debian package internals.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 12 May 2001 18:43:26 +0200

fastlink (4.1P-2) unstable; urgency=low



=== debian/control ===
Source: fastlink
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/fastlink/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/fastlink/trunk/

Package: fastlink
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fastlink-doc
Description: faster version of pedigree programs of Linkage
 Genetic linkage analysis is a statistical technique used to map
 genes and find the approximate location of disease genes. There
 was a standard software package for genetic linkage called
 LINKAGE. FASTLINK is a significantly modified and improved
 version of the main programs of LINKAGE that runs much faster
 sequentially, can run in parallel, allows the user to recover
 gracefully from a computer crash, and provides abundant new
 documentation. FASTLINK has been used in over 1000 published
 genetic linkage studies.
 .
 This package contains the following programs:
  ilink:    GEMINI optimization procedure to find a locally
            optimal value of the theta vector of recombination
            fractions
  linkmap:  calculates location scores of one locus against a
            fixed map of other loci
  lodscore: compares likelihoods at locally optimal theta
  mlink:    calculates lod scores and risk with two of more loci
  unknown:  identify possible genotypes for unknowns

Package: fastlink-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: fastlink
Description: Some papers about fastlink
 Genetic linkage analysis is a statistical technique used to map
 genes and find the approximate location of disease genes. There
 was a standard software package for genetic linkage called
 LINKAGE. FASTLINK is a significantly modified and improved
 version of the main programs of LINKAGE that runs much faster
 sequentially, can run in parallel, allows the user to recover
 gracefully from a computer crash, and provides abundant new
 documentation. FASTLINK has been used in over 1000 published
 genetic linkage studies.
 .
 You do not really need these papers about fastlink but it is highly
 recommended to study this documentation before starting with the
 tools of the fastlink package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for fastlink using cdbs
# Andreas Tille <tille@debian.org>, GPL

# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

clean::
	cd 4.1P/src; make allclean

# Use makefile in subdir
DEB_MAKE_INVOKE = cd 4.1P/src; $(DEB_MAKE_ENVVARS) make $(if $(DEB_MAKE_MAKEFILE), -f $(DEB_MAKE_MAKEFILE),) -C $(DEB_BUILDDIR) CFLAGS=$(if $(CFLAGS_$(cdbs_curpkg)),"$(CFLAGS_$(cdbs_curpkg))","$(CFLAGS)") CXXFLAGS=$(if $(CXXFLAGS_$(cdbs_curpkg)),"$(CXXFLAGS_$(cdbs_curpkg))","$(CXXFLAGS)")

get-orig-source:
	sh debian/get-orig-source

## fastlink 4.1P-fix100%2Bdfsg

=== debian/changelog ===
fastlink (4.1P-fix100+dfsg-4) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team upload.
  * Add autopkgtests. Closes: #909713
  * Add docs
  * Add data
  * Add examples

  [ Andreas Tille ]
  * Standards-Version: 4.5.1

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 22 Feb 2021 01:30:24 +0530

fastlink (4.1P-fix100+dfsg-3) unstable; urgency=medium

  * Add fake watch file
  * debian/get-orig-source: Do not create new tarball if there is no new
    patchlevel
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Refer to specific version of license GPL-2+.
  * Use -fcommon option to tolerate "multiple definition of"
    Closes: #957194
  * Propagate CFLAGS set by Debian to all binaries

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 10:02:10 +0100

fastlink (4.1P-fix100+dfsg-2) unstable; urgency=medium

  * Secure URI in Homepage
  * debian/get-orig-source: use https instead of ftp
  * d/rules: Be more cross-building friendly
  * hardening=+all
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 11:35:01 +0200

fastlink (4.1P-fix100+dfsg-1) unstable; urgency=low

  * New upstream patch level
  * debian/upstream/metadata
  * debhelper 9
  * cme fix dpkg-control
  * d/rules: short dh
  * DEP5
  * Moved packaging from SVN to Git
  * Provide fake d/watch to document that upstream has no versioned tarball
  * Propagate hardening flags

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jan 2016 10:17:50 +0100

## fastlink 4.1P-fix100+dfsg

=== debian/changelog ===
fastlink (4.1P-fix100+dfsg-6) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096612.
  [ Santiago Vila ]
  * Disable blhc in salsa-ci.yml for the time being, as it fails.
  * Drop "Rules-Requires-Root: no", as it's now the default.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 24 Sep 2025 01:25:00 +0200

fastlink (4.1P-fix100+dfsg-5) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Fix clean target
    Closes: #1044987

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 18:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: fastlink
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>,
- Charles Plessy <plessy@debian.org>
-Build-Depends: cdbs, debhelper (>= 8)
-Standards-Version: 3.9.2
-Homepage: http://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/fastlink/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/fastlink/trunk/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/fastlink
+Vcs-Git: https://salsa.debian.org/med-team/fastlink.git
+Homepage: https://www.ncbi.nlm.nih.gov/CBBResearch/Schaffer/fastlink.html
 
 Package: fastlink
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: fastlink-doc
 Description: faster version of pedigree programs of Linkage
  Genetic linkage analysis is a statistical technique used to map

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# FIXME: This is discouraged ... but works for the moment to solve bug #957194
#        https://wiki.gentoo.org/wiki/Gcc_10_porting_notes/fno_common#The_-fcommon_workaround_.28discouraged.29
export DEB_CFLAGS_MAINT_APPEND=-fcommon -std=gnu17

%:
	dh $@ --sourcedirectory=4.1P/src

override_dh_clean:
	dh_clean -- allclean
	find 4.1P/src -executable -type f -delete

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" DEBIANLDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "There is no test suite provided but automatism is grabbing check.c for the check which fails."
endif

get-orig-source:
	sh debian/get-orig-source

=== debian/watch ===
# Upstream does not provide versioned tarballs
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
